openSUSE Security Update : libraw (openSUSE-2017-640)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update for libraw fixes the following issues :

- CVE-2017-6890: A boundary error within the
'foveon_load_camf()' function was fixed. [boo#1039209]

- CVE-2017-6889: An integer overflow error within the
'foveon_load_camf()' function was fixed. [boo#1039210]

- CVE-2017-6887: A memory corruption via e.g. a specially
crafted KDC file parse_tiff_ifd() was fixed.
[boo#1039379]

- CVE-2017-6886: A memory corruption in parse_tiff_ifd()
function was fixed. [boo#1039380]

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=1039209
https://bugzilla.opensuse.org/show_bug.cgi?id=1039210
https://bugzilla.opensuse.org/show_bug.cgi?id=1039379
https://bugzilla.opensuse.org/show_bug.cgi?id=1039380

Solution :

Update the affected libraw packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 100567 ()

Bugtraq ID:

CVE ID: CVE-2017-6886
CVE-2017-6887
CVE-2017-6889
CVE-2017-6890

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now